Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.client
Class CIMClient

    java.lang.Object
      |
      +--com.sun.wbem.client.CIMClient

public class CIMClient
extends java.lang.Object
implements CIMOMHandle

Constructs a CIM client on the local host (default) or the specified host. This class invokes the CIM object manager for this client session to perform a WBEM operation, such as, adding, modifying, or deleting a CIM class, CIM instance, and CIM qualifier type in a namespace.

A WBEM client application connects to a CIM Object Manager to establish an initial connection when it needs to perform WBEM operations.

Since:
  WBEM 1.0

Field Summary
`static boolean` | `DEEP` Indicates that deep enumeration is required.
`static int` | `HTTP` Specifies HTTP protocol for data transfer to the CIM Object Manager
`static int` | `RMI` Specifies RMI protocol (the default) for data transfer to the CIM Object Manager
`static boolean` | `SHALLOW` Indicates that a shallow enumeration is required.
`static int` | `WQL` WBEM Query Language level 1 is currently supported
`static int` | `XML` Deprecated.

Constructor Summary
`CIMClient()` Creates a new client connection to the CIM Object Manager on the local host (the host on which the client application is running).
`CIMClient(CIMNameSpace name)` Creates a new client connection to the CIM object manager on the host and namespace specified in the namespace object.
`CIMClient(CIMNameSpace name, java.security.Principal principal, java.lang.Object credential)` Creates a new client connection to the CIM Object Manager on the host and namespace specified in the namespace object, using the specified principal and credential to authenticate the client user identity to the CIM Object Manager.
`CIMClient(CIMNameSpace name, java.security.Principal principal, java.lang.Object credential, int protocol)` Creates a new client connection to the CIM Object Manager on the host and namespace specified in the namespace object, using the specified principal and credential to authenticate the client user identity to the CIM Object Manager.
`CIMClient(CIMNameSpace name, java.lang.String userName, java.lang.String passwd)` Deprecated.
`CIMClient(CIMNameSpace name, java.lang.String userName, java.lang.String passwd, int protocol)` Deprecated.

Method Summary
`void` | `addCIMListener(CIMListener l)` Adds the specified listener which receives indications from the CIM Object Manager.
`java.util.Enumeration` | `associatorNames(CIMObjectPath objectName, java.lang.String assocClass, java.lang.String resultClass, java.lang.String role, java.lang.String resultRole)` This operation is used to enumerate the names of CIM Objects (Classes or Instances) that are associated to a particular source CIM Object.
`java.util.Enumeration` | `associators(CIMObjectPath objectName, java.lang.String assocClass, java.lang.String resultClass, java.lang.String role, java.lang.String resultRole, boolean includeQualifiers, boolean includeClassOrigin, java.lang.String[] propertyList)` This operation is used to enumerate CIM Objects (Classes or Instances) that are associated to a particular source CIM Object.
`void` | `close()` Closes the client connection to the CIM Object Manager.
`void` | `createClass(CIMObjectPath name, CIMClass cc)` Adds the CIM class to the specified namespace.
`CIMObjectPath` | `createInstance(CIMObjectPath name, CIMInstance ci)` Invokes the object manager on this client to add the specified CIM instance to the specified namespace.
`void` | `createNameSpace(CIMNameSpace ns)` Creates a CIM namespace, a directory containing CIM classes and CIM instances.
`void` | `createQualifierType(CIMObjectPath name, CIMQualifierType qt)` Adds the specified CIM qualifier type to the specified namespace.
`void` | `deleteClass(CIMObjectPath path)` Deletes the CIM class for the object specified by the CIM object path, a name that uniquely identifies a CIM object.
`void` | `deleteInstance(CIMObjectPath path)` Deletes the CIM instance specified by the CIM object path, a name that uniquely identifies a CIM object.
`void` | `deleteNameSpace(CIMNameSpace ns)` Deletes the specified namespace on the current host.
`void` | `deleteQualifierType(CIMObjectPath path)` Deletes the CIM qualfier for the object specified by the CIM object path, a name that uniquely identifies a CIM object.
`java.lang.String` | `encryptData(java.lang.String clearData)` This method encrypts a limited sized string value using the current authentication exchange session key.
`java.util.Enumeration` | `enumClass(CIMObjectPath path, boolean deep)` Deprecated.
`java.util.Enumeration` | `enumClass(CIMObjectPath path, boolean deep, boolean localOnly)` Deprecated.
`java.util.Enumeration` | `enumerateClasses(CIMObjectPath path, boolean deep, boolean localOnly, boolean includeQualifiers, boolean includeClassOrigin)` Enumerates the class specified in the path.
`java.util.Enumeration` | `enumerateClassNames(CIMObjectPath path, boolean deep)` Enumerates the class specified in the path.
`java.util.Enumeration` | `enumerateInstanceNames(CIMObjectPath path)` Returns all instance NAMES belonging to the class specified in the path.
`java.util.Enumeration` | `enumerateInstances(CIMObjectPath path, boolean deep, boolean localOnly, boolean includeQualifiers, boolean includeClassOrigin, java.lang.String[] propertyList)` Returns all instances (the whole instance and not just the names) belonging to the class specified in the path.
`java.util.Enumeration` | `enumInstances(CIMObjectPath path, boolean deep)` Deprecated.
`java.util.Enumeration` | `enumInstances(CIMObjectPath path, boolean deep, boolean localOnly)` Deprecated.
`java.util.Enumeration` | `enumNameSpace(CIMObjectPath path, boolean deep)` Gets a list of the namespaces within the namespace specified by the CIM object path.
`java.util.Enumeration` | `enumQualifierTypes(CIMObjectPath path)` Enumerates the qualifiers defined in a namespace.
`java.util.Enumeration` | `execQuery(CIMObjectPath name, java.lang.String query, int ql)` Executes a query to retrieve objects.
`CIMClass` | `getClass(CIMObjectPath name, boolean localOnly)` Deprecated.
`CIMClass` | `getClass(CIMObjectPath name, boolean localOnly, boolean includeQualifiers, boolean includeClassOrigin, java.lang.String[] propertyList)` Gets the CIM class for the specified CIM object path.
`CIMInstance` | `getInstance(CIMObjectPath name, boolean localOnly)` Deprecated.
`CIMInstance` | `getInstance(CIMObjectPath name, boolean localOnly, boolean includeQualifiers, boolean includeClassOrigin, java.lang.String[] propertyList)` Gets the CIM instance for the specified CIM object path.
`CIMValue` | `getProperty(CIMObjectPath name, java.lang.String propertyName)` Invokes the object manager on this client to get the specified CIM instance property.
`CIMQualifierType` | `getQualifierType(CIMObjectPath name)` Gets the CIM qualifier type specified in the CIM object path.
`CIMValue` | `invokeMethod(CIMObjectPath name, java.lang.String methodName, java.util.Vector inParams, java.util.Vector outParams)` Executes the specified method on the specified object.
`java.util.Enumeration` | `referenceNames(CIMObjectPath objectName, java.lang.String resultClass, java.lang.String role)` This operation is used to enumerate the association objects that refer to a particular target CIM Object (Class or Instance).
`java.util.Enumeration` | `references(CIMObjectPath objectName, java.lang.String resultClass, java.lang.String role, boolean includeQualifiers, boolean includeClassOrigin, java.lang.String[] propertyList)` This operation is used to enumerate the association objects that refer to a particular target CIM Object (Class or Instance).
`void` | `removeCIMListener(CIMListener l)` Removes the specified listener
`void` | `setClass(CIMObjectPath name, CIMClass cc)` Modifies the CIM class in the specified namespace.
`void` | `setInstance(CIMObjectPath name, CIMInstance ci)` Invokes the object manager on this client to modify the specified CIM instance in the specified namespace.
`void` | `setProperty(CIMObjectPath name, java.lang.String propertyName, CIMValue newValue)` Invokes the object manager on this client to set the specified CIM instance property value.
`void` | `setQualifierType(CIMObjectPath name, CIMQualifierType qt)` Adds the specified CIM qualifier type to the specified namespace.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RMI

    public static final int RMI

  Specifies RMI protocol (the default) for data transfer to the CIM Object Manager

### XML

    public static final int XML

  Deprecated.

  Specifies HTTP protocol for data transfer to the CIM Object Manager

### HTTP

    public static final int HTTP

  Specifies HTTP protocol for data transfer to the CIM Object Manager

### DEEP

    public static final boolean DEEP

  Indicates that deep enumeration is required. The behavior of DEEP depends on the particular type of enumeration. For example, a DEEP enumeration of instances returns the class instances and all instances of its subclasses. A deep enumeration of a class returns all subclasses of the class, but does not return the class itself.
  See Also:
    `enumerateInstances(com.sun.wbem.cim.CIMObjectPath, boolean, boolean, boolean, boolean, java.lang.String[])`, `enumerateInstanceNames(com.sun.wbem.cim.CIMObjectPath)`, `enumerateClassNames(com.sun.wbem.cim.CIMObjectPath, boolean)`, `enumerateClasses(com.sun.wbem.cim.CIMObjectPath, boolean, boolean, boolean, boolean)`, `enumNameSpace(com.sun.wbem.cim.CIMObjectPath, boolean)`

### SHALLOW

    public static final boolean SHALLOW

  Indicates that a shallow enumeration is required. A SHALLOW enumeration of instances returns the instances of that class. A SHALLOW enumeration of a class returns the subclasses of the class.
  See Also:
    `enumerateInstances(com.sun.wbem.cim.CIMObjectPath, boolean, boolean, boolean, boolean, java.lang.String[])`, `enumerateInstanceNames(com.sun.wbem.cim.CIMObjectPath)`, `enumerateClassNames(com.sun.wbem.cim.CIMObjectPath, boolean)`, `enumerateClasses(com.sun.wbem.cim.CIMObjectPath, boolean, boolean, boolean, boolean)`, `enumNameSpace(com.sun.wbem.cim.CIMObjectPath, boolean)`

### WQL

    public static final int WQL

  WBEM Query Language level 1 is currently supported
  See Also:
    `execQuery(com.sun.wbem.cim.CIMObjectPath, java.lang.String, int)`

Constructor Detail

### CIMClient

    public CIMClient()
              throws CIMException

  Creates a new client connection to the CIM Object Manager on the local host (the host on which the client application is running). This constructor uses the default namespace `root\cimv2`, the default user name `GUEST` and default password `GUEST`. This client connection uses the default protocol RMI to send messages to the CIM Object Manager.

  Example:

  The following code segment connects to the CIM Object Manager, taking default values for all arguments. That is, it connects to the CIM Object Manager running on the local host, in the default namespace `root\cimv2`, using the default user account and password, `GUEST`.

  `cc = new CIMClient();`

  Throws:
    CIMException - Throws a CIM exception if the namespace already exists

### CIMClient

    public CIMClient(CIMNameSpace name)
              throws CIMException

  Creates a new client connection to the CIM object manager on the host and namespace specified in the namespace object. This constructor uses the default user name GUEST and default password GUEST. This connection uses the default protocol RMI to send messages to the CIM Object Manager.

  Example:

  The following code segment connects to namespace `root\Win32\test` on host `jupiter`,

       // Create a namespace object to store a string for the host name
       // and a string for the namespace name.
       CIMNameSpace cns = new CIMNameSpace("jupiter", "root\win32\test");

       // Connect to the CIM Object Manager, passing it the namespace
       // object
       cc = new CIMClient(cns);

  Parameters:
    `name` - A namespace object that stores a string for the host name running the CIM Object Manager and a string for the namespace in which operations will be performed.
  Throws:
    CIMException - Throws a CIM exception if the namespace already exists or the client connection fails due to a network error

### CIMClient

    public CIMClient(CIMNameSpace name,
                     java.lang.String userName,
                     java.lang.String passwd)
              throws CIMException

  Deprecated.

  Creates a new client connection to the CIM Object Manager on the host and namespace specified in the namespace object, using the specified user name and password. The user name and password indicate the access rights the user has to perform perform WBEM operations. This connection uses the default protocol RMI to send messages to the CIM Object Manager.

  Example:

  The following code segment connects to namespace `root\win32\test` on the local host, logging in as root with password `root_password`. The root user can assign users access rights to CIM namespaces.

       // Create a namespace object to store a null string for the host
       // (local host) and a string for the name of the namespace
       // root\win32\test.

       CIMNameSpace cns = new CIMNameSpace("", "root\win32\test");

       // Connect to the CIM Object Manager and pass it the namespace object,
       // user name, and password.

       cc = new CIMClient(cns, "root", "root_password");

  Parameters:
    `name` - The namespace in which operations will be performed
    `userName` - The Solaris user account
    `passwd` - The user password
  Throws:
    CIMException - Throws a CIM exception if the namespace already exists or the client connection fails due to a network error

### CIMClient

    public CIMClient(CIMNameSpace name,
                     java.lang.String userName,
                     java.lang.String passwd,
                     int protocol)
              throws CIMException

  Deprecated.

  Creates a new connection to the CIM object manager on the host and namespace specified in the namespace object, logging in as the specified user with the specified password, using the specified protocol to send messages to the CIM Object Manager.

  Example:

  The following code segment connects to namespace the default namespace `root\cimv2` on host `jupiter`, logging in as root. This connection uses the HTTP protocol.

       // Create a namespace object to store the string name of the
       // host jupiter and a null string for the namespace (the
       // default root\cimv2 namespace).

       CIMNameSpace cns = new CIMNameSpace("jupiter", "");

       // Connect to the CIM Object Manager and pass it the namespace object,
       // user name, password, and integer 0 to specify HTTP protocol.

       cc = new CIMClient(cns, "root", "root_password", CIMClient.HTTP);

  Parameters:
    `name` - The namespace in which operations will be performed
    `userName` - The name of a valid Solaris user account to log in
    `passwd` - The password for specified user
    `protocol` - The protocol to use to send data to the CIM Object Manager. CIMClient.HTTP indicates HTTP. CIMClient.RMI indicates RMI.
  Throws:
    CIMException - Throws a CIM exception if the namespace already exists, the client connection fails due to a network error, the user account does not exist, or the password is not the correct password for the specified user account.

### CIMClient

    public CIMClient(CIMNameSpace name,
                     java.security.Principal principal,
                     java.lang.Object credential)
              throws CIMException

  Creates a new client connection to the CIM Object Manager on the host and namespace specified in the namespace object, using the specified principal and credential to authenticate the client user identity to the CIM Object Manager. This connection uses the RMI protocol to send messages to the CIM Object Manager.
  Parameters:
    `name` - The namespace in which operations will be performed
    `principal` - The client user principal identity
    `credential` - The client user credential for authentication
  Throws:
    CIMException - Throws a CIM exception if the namespace already exists, the client connection fails due to a network error, the user account does not exist, or the password is not the correct password for the specified user account.

### CIMClient

    public CIMClient(CIMNameSpace name,
                     java.security.Principal principal,
                     java.lang.Object credential,
                     int protocol)
              throws CIMException

  Creates a new client connection to the CIM Object Manager on the host and namespace specified in the namespace object, using the specified principal and credential to authenticate the client user identity to the CIM Object Manager. This connection uses the specified protocol to send messages to the CIM Object Manager.
  Parameters:
    `name` - The namespace in which operations will be performed
    `principal` - The client user principal identity
    `credential` - The client user credential for authentication
    `protocol` - The protocol to use for sending messages
  Throws:
    CIMException - Throws a CIM exception if the namespace already exists, the client connection fails due to a network error, the user account does not exist, or the password is not the correct password for the specified user account.

Method Detail

### createNameSpace

    public void createNameSpace(CIMNameSpace ns)
                         throws CIMException

  Creates a CIM namespace, a directory containing CIM classes and CIM instances. When a client application connects to the CIM Object Manager, it specifies a namespace. All subsequent operations occur within that namespace on the CIM Object Manager host.
  Specified by:
    createNameSpace in interface CIMOMHandle
  Parameters:
    `ns` - The CIMNameSpace object that specifies a string for the host and a string for the namespace
  Throws:
    CIMException - Throws a CIM exception if the namespace already exists

### close

    public void close()
               throws CIMException

  Closes the client connection to the CIM Object Manager. This interface frees resources used for the client session.

  Example:

  The following sample code closes the client connection (`cc`).

  `cc.close();`

  Specified by:
    close in interface CIMOMHandle
  Throws:
    CIMException - Throws a CIM Exception if the client session does not exist

### deleteNameSpace

    public void deleteNameSpace(CIMNameSpace ns)
                         throws CIMException

  Deletes the specified namespace on the current host.
  Specified by:
    deleteNameSpace in interface CIMOMHandle
  Parameters:
    `ns` - The CIMNameSpace object that identifies the namespace to be deleted
  Throws:
    CIMException - Throws a CIM exception if the namespace does not exist

### deleteClass

    public void deleteClass(CIMObjectPath path)
                     throws CIMException

  Deletes the CIM class for the object specified by the CIM object path, a name that uniquely identifies a CIM object. The CIM object path consists of two parts: namespace + model path. The namespace portion of the CIM object path identifies the host running the CIM Object Manager and the namespace. A namespace is a directory-like structure that contains CIM classes, instances, and qualifier types.

  The model path portion of the CIM object path uniquely identifies a CIM object within the namespace on the host. The model path for a class is the class name.

  Specified by:
    deleteClass in interface CIMOMHandle
  Parameters:
    `path` - The CIMObjectPath identifying the class to delete
  Throws:
    CIMException - Throws CIM Exception if the CIMObjectPath does not exist

### deleteInstance

    public void deleteInstance(CIMObjectPath path)
                        throws CIMException

  Deletes the CIM instance specified by the CIM object path, a name that uniquely identifies a CIM object. A CIM object path consists of two parts: namespace + model path. The model path is created by concatenating the properties of a class that are qualified with the `KEY` qualifier. The following code sample uses deep enumeration to get all instances of the specified class and all its subclasses, prints the name of each instance, and then deletes the instance.

       {
       CIMObjectPath cop = new CIMObjectPath(args[1]);
       Enumeration e = cc.enumerateInstanceNames(cop, true);
       while(e.hasMoreElements()) {
            CIMObjectPath op = (CIMObjectPath)e.nextElement();
            System.out.println(op);
            cc.deleteInstance(op);
                                  }
       }

  Specified by:
    deleteInstance in interface CIMOMHandle
  Parameters:
    `path` - The CIMObjectPath identifying the CIM instance to delete
  Throws:
    CIMException - Throws a CIM Exception if the CIM instance does not exist

### deleteQualifierType

    public void deleteQualifierType(CIMObjectPath path)
                             throws CIMException

  Deletes the CIM qualfier for the object specified by the CIM object path, a name that uniquely identifies a CIM object.
  Specified by:
    deleteQualifierType in interface CIMOMHandle
  Parameters:
    `path` - the CIMObjectPath identifying the CIM qualifier to delete
  Throws:
    CIMException - Throws a CIM Exception if the CIM qualifier does not exist

### enumNameSpace

    public java.util.Enumeration enumNameSpace(CIMObjectPath path,
                                               boolean deep)
                                        throws CIMException

  Gets a list of the namespaces within the namespace specified by the CIM object path.
  Specified by:
    enumNameSpace in interface CIMOMHandle
  Parameters:
    `path` - The CIMObjectPath identifying the namespace to be enumerated.
    `deep` - If set to CIMClient.DEEP, the enumeration returned will contain the entire hierarchy of namespaces present under the enumerated namespace. If set to CIMClient.SHALLOW the enumeration will return only the first level children of the enumerated namespace.
  Returns:
    Enumeration of namespace names(CIMObjectPaths).
  Throws:
    CIMException - Throws a CIM exception if the namespace does not exist or the object cannot be found in the specified namespace.

### enumerateClasses

    public java.util.Enumeration enumerateClasses(CIMObjectPath path,
                                                  boolean deep,
                                                  boolean localOnly,
                                                  boolean includeQualifiers,
                                                  boolean includeClassOrigin)
                                           throws CIMException

  Enumerates the class specified in the path. The entire class contents (and not just the class names) are returned.
  Parameters:
    `path` - The CIMObjectPath identifying the class to be enumerated.
    `deep` - If set to CIMClient.DEEP, the enumeration returned will contain the names of all classes derived from the enumerated class. If set to CIMClient.SHALLOW the enumeration will return only the names of the first level children of the enumerated class.
    `localOnly` - if true, only the non-inherited properties and methods are returned, otherwise all properties and methods are returned.
    `includeQualifiers` - If the IncludeQualifiers input parameter is true this specifies that all Qualifiers for each Object (including Qualifiers on the Object and on any returned Properties) MUST be included. If false no Qualifiers are present in the returned Object.
    `includeClassOrigin` - If the IncludeClassOrigin input parameter is true, this specifies that the CLASSORIGIN attribute MUST be present on all appropriate elements in each returned Object. If false, no CLASSORIGIN attributes are present in each returned Object.
  Returns:
    Enumeration of CIMClass.
  Throws:
    CIMException - Throws a CIM exception if the specified CIMObjectPath object cannot be found
  See Also:
    `enumerateClassNames(com.sun.wbem.cim.CIMObjectPath, boolean)`, `enumerateClasses(com.sun.wbem.cim.CIMObjectPath, boolean, boolean, boolean, boolean)`

### enumClass

    public java.util.Enumeration enumClass(CIMObjectPath path,
                                           boolean deep,
                                           boolean localOnly)
                                    throws CIMException

  Deprecated.

  Enumerates the class specified in the path. The entire class contents (and not just the class names) are returned.
  Specified by:
    enumClass in interface CIMOMHandle
  Parameters:
    `path` - The CIMObjectPath identifying the class to be enumerated.
    `deep` - If set to CIMClient.DEEP, the enumeration returned will contain the names of all classes derived from the enumerated class. If set to CIMClient.SHALLOW the enumeration will return only the names of the first level children of the enumerated class.
    `localOnly` - if true, only the non-inherited properties and methods are returned, otherwise all properties and methods are returned.
  Returns:
    Enumeration of CIMClass.
  Throws:
    CIMException - Throws a CIM exception if the specified CIMObjectPath object cannot be found
  See Also:
    `enumerateClassNames(com.sun.wbem.cim.CIMObjectPath, boolean)`, `enumerateClasses(com.sun.wbem.cim.CIMObjectPath, boolean, boolean, boolean, boolean)`

### enumerateClassNames

    public java.util.Enumeration enumerateClassNames(CIMObjectPath path,
                                                     boolean deep)
                                              throws CIMException

  Enumerates the class specified in the path. The class NAMES are returned as a vector of CIMObjectPaths.
  Parameters:
    `path` - The CIMObjectPath identifying the class to be enumerated.
    `deep` - If set to CIMClient.DEEP, the enumeration returned will contain the names of all classes derived from the enumerated class. If set to CIMClient.SHALLOW the enumeration will return only the names of the first level children of the enumerated class.
  Returns:
    Enumeration of class names (CIMObjectPaths).
  Throws:
    CIMException - Throws a CIM exception if the specified CIMObjectPath object cannot be found

### enumClass

    public java.util.Enumeration enumClass(CIMObjectPath path,
                                           boolean deep)
                                    throws CIMException

  Deprecated.

  Enumerates the class specified in the path. The class NAMES are returned as a vector of CIMObjectPaths.
  Specified by:
    enumClass in interface CIMOMHandle
  Parameters:
    `path` - The CIMObjectPath identifying the class to be enumerated.
    `deep` - If set to CIMClient.DEEP, the enumeration returned will contain the names of all classes derived from the enumerated class. If set to CIMClient.SHALLOW the enumeration will return only the names of the first level children of the enumerated class.
  Returns:
    Enumeration of class names (CIMObjectPaths).
  Throws:
    CIMException - Throws a CIM exception if the specified CIMObjectPath object cannot be found
  See Also:
    `enumerateClassNames(com.sun.wbem.cim.CIMObjectPath, boolean)`

### enumerateInstanceNames

    public java.util.Enumeration enumerateInstanceNames(CIMObjectPath path)
                                                 throws CIMException

  Returns all instance NAMES belonging to the class specified in the path. This could include instances names of all the classes in the specified class' hierarchy.
  Parameters:
    `path` - The CIMObjectPath identifying the class whose instances are to be enumerated.
    `deep` - If set to true, the enumeration returned will contain the names of all instances of the specified class and all classes derived from it. If set to false, only names of instances belonging to the specified class are returned.
  Returns:
    Enumeration of instance names(CIMObjectPath).
  Throws:
    CIMException - Throws a CIM exception if the object cannot be found

### enumerateInstances

    public java.util.Enumeration enumerateInstances(CIMObjectPath path,
                                                    boolean deep,
                                                    boolean localOnly,
                                                    boolean includeQualifiers,
                                                    boolean includeClassOrigin,
                                                    java.lang.String[] propertyList)
                                             throws CIMException

  Returns all instances (the whole instance and not just the names) belonging to the class specified in the path. This could include instances of all the classes in the specified class' hierarchy.
  Parameters:
    `path` - The CIMObjectPath identifying the class whose instances are to be enumerated.
    `deep` - If set to CIMClient.SHALLOW, the enumeration returned will contain only the properties defined for the class specified in the path parameter. If set to CIMClient.DEEP all properties are returned.
    `localOnly` - if true, only the non-inherited properties are returned, otherwise all properties are returned.
    `includeQualifiers` - If the IncludeQualifiers input parameter is true this specifies that all Qualifiers for each Object (including Qualifiers on the Object and on any returned Properties) MUST be included. If false no Qualifiers are present in the returned Object.
    `includeClassOrigin` - If the IncludeClassOrigin input parameter is true, this specifies that the CLASSORIGIN attribute MUST be present on all appropriate elements in each returned Object. If false, no CLASSORIGIN attributes are present in each returned Object.
    `propertyList` - If the PropertyList input parameter is not NULL, the members of the array define one or more Property names. Each returned Object MUST NOT include elements for any Properties missing from this list. Note that if LocalOnly is specified as true (or DeepInheritance is specified as false) this acts as an additional filter on the set of Properties returned (for example, if Property A is included in the PropertyList but LocalOnly is set to true and A is not local to a returned Instance, then it will not be included in that Instance). If the PropertyList input parameter is an empty array this signifies that no Properties are included in each returned Object. If the PropertyList input parameter is NULL this specifies that all Properties (subject to the conditions expressed by the other parameters) are included in each returned Object. If the PropertyList contains duplicate elements, the Server ignores the duplicates but otherwise process the request normally. If the PropertyList contains elements which are invalid Property names for any target Object, the Server ignores such entries but otherwise process the request normally.
  Returns:
    Enumeration of CIMInstance.
  Throws:
    CIMException - Throws a CIM exception if the object cannot be found

### enumInstances

    public java.util.Enumeration enumInstances(CIMObjectPath path,
                                               boolean deep)
                                        throws CIMException

  Deprecated.

  Returns all instance NAMES belonging to the class specified in the path. This could include instances names of all the classes in the specified class' hierarchy.
  Specified by:
    enumInstances in interface CIMOMHandle
  Parameters:
    `path` - The CIMObjectPath identifying the class whose instances are to be enumerated.
    `if` - true, only the non-inherited properties are returned, otherwise all properties are returned.
    `deep` - If set to CIMClient.DEEP, the enumeration returned will contain the names of all instances of the specified class and all classes derived from it. If set to CIMClient.SHALLOW only names of instances belonging to the specified class are returned.
  Returns:
    Enumeration of instance names(CIMObjectPath).
  Throws:
    CIMException - Throws a CIM exception if the object cannot be found

### enumInstances

    public java.util.Enumeration enumInstances(CIMObjectPath path,
                                               boolean deep,
                                               boolean localOnly)
                                        throws CIMException

  Deprecated.

  Returns all instances (the whole instance and not just the names) belonging to the class specified in the path. This could include instances of all the classes in the specified class' hierarchy.
  Specified by:
    enumInstances in interface CIMOMHandle
  Parameters:
    `path` - The CIMObjectPath identifying the class whose instances are to be enumerated.
    `deep` - If set to CIMClient.DEEP, the enumeration returned will contain the names of all instances of the specified class and all classes derived from it. If set to CIMClient.SHALLOW only names of instances belonging to the specified class are returned.
    `localOnly` - if true, only the non-inherited properties are returned, otherwise all properties are returned.
  Returns:
    Enumeration of CIMInstance.
  Throws:
    CIMException - Throws a CIM exception if the object cannot be found

### enumQualifierTypes

    public java.util.Enumeration enumQualifierTypes(CIMObjectPath path)
                                             throws CIMException

  Enumerates the qualifiers defined in a namespace.
  Specified by:
    enumQualifierTypes in interface CIMOMHandle
  Parameters:
    `path` - The CIMObjectPath identifying the namespace whose qualifier definitions are to be enumerated.
  Returns:
    Enumeration of qualifierType names(CIMObjectPath).
  Throws:
    CIMException - Throws a CIM exception if the specified CIMObjectPath cannot be found

### getClass

    public CIMClass getClass(CIMObjectPath name,
                             boolean localOnly,
                             boolean includeQualifiers,
                             boolean includeClassOrigin,
                             java.lang.String[] propertyList)
                      throws CIMException

  Gets the CIM class for the specified CIM object path.
  Parameters:
    `name` - the CIMObjectPath that identifies the CIM class
    `localOnly` - if true, only the non-inherited properties and methods are returned, otherwise all properties and methods are returned.
    `includeQualifiers` - If the IncludeQualifiers input parameter is true this specifies that all Qualifiers for each Object (including Qualifiers on the Object and on any returned Properties) MUST be included. If false no Qualifiers are present in the returned Object.
    `includeClassOrigin` - If the IncludeClassOrigin input parameter is true, this specifies that the CLASSORIGIN attribute MUST be present on all appropriate elements in each returned Object. If false, no CLASSORIGIN attributes are present in each returned Object.
    `propertyList` - If the PropertyList input parameter is not NULL, the members of the array define one or more Property names. Each returned Object MUST NOT include elements for any Properties missing from this list. Note that if LocalOnly is specified as true (or DeepInheritance is specified as false) this acts as an additional filter on the set of Properties returned (for example, if Property A is included in the PropertyList but LocalOnly is set to true and A is not local to a returned Instance, then it will not be included in that Instance). If the PropertyList input parameter is an empty array this signifies that no Properties are included in each returned Object. If the PropertyList input parameter is NULL this specifies that all Properties (subject to the conditions expressed by the other parameters) are included in each returned Object. If the PropertyList contains duplicate elements, the Server ignores the duplicates but otherwise process the request normally. If the PropertyList contains elements which are invalid Property names for any target Object, the Server ignores such entries but otherwise process the request normally.
  Returns:
    The CIM class identified by the CIMObjectPath
  Throws:
    CIMException - Throws a CIM exception if the namespace or the model path identifying the object cannot be found
  See Also:
    `enumerateClasses(com.sun.wbem.cim.CIMObjectPath, boolean, boolean, boolean, boolean)`, `enumerateClassNames(com.sun.wbem.cim.CIMObjectPath, boolean)`

### getInstance

    public CIMInstance getInstance(CIMObjectPath name,
                                   boolean localOnly,
                                   boolean includeQualifiers,
                                   boolean includeClassOrigin,
                                   java.lang.String[] propertyList)
                            throws CIMException

  Gets the CIM instance for the specified CIM object path.
  Parameters:
    `name` - CIM Object Path that identifies this CIM instance
    `localOnly` - if true, only the non-inherited properties are returned, otherwise all properties are returned.
    `includeQualifiers` - If the IncludeQualifiers input parameter is true this specifies that all Qualifiers for each Object (including Qualifiers on the Object and on any returned Properties) MUST be included. If false no Qualifiers are present in the returned Object.
    `includeClassOrigin` - If the IncludeClassOrigin input parameter is true, this specifies that the CLASSORIGIN attribute MUST be present on all appropriate elements in each returned Object. If false, no CLASSORIGIN attributes are present in each returned Object.
    `propertyList` - If the PropertyList input parameter is not NULL, the members of the array define one or more Property names. Each returned Object MUST NOT include elements for any Properties missing from this list. Note that if LocalOnly is specified as true (or DeepInheritance is specified as false) this acts as an additional filter on the set of Properties returned (for example, if Property A is included in the PropertyList but LocalOnly is set to true and A is not local to a returned Instance, then it will not be included in that Instance). If the PropertyList input parameter is an empty array this signifies that no Properties are included in each returned Object. If the PropertyList input parameter is NULL this specifies that all Properties (subject to the conditions expressed by the other parameters) are included in each returned Object. If the PropertyList contains duplicate elements, the Server ignores the duplicates but otherwise process the request normally. If the PropertyList contains elements which are invalid Property names for any target Object, the Server ignores such entries but otherwise process the request normally.
  Returns:
    The CIM instance identified by the CIMObjectPath
  Throws:
    CIMException - Throws a CIM exception if the specified CIMObjectPath cannot be found
  See Also:
    `enumerateInstances(com.sun.wbem.cim.CIMObjectPath, boolean, boolean, boolean, boolean, java.lang.String[])`, `enumerateInstanceNames(com.sun.wbem.cim.CIMObjectPath)`

### getClass

    public CIMClass getClass(CIMObjectPath name,
                             boolean localOnly)
                      throws CIMException

  Deprecated.

  Gets the CIM class for the specified CIM object path.
  Specified by:
    getClass in interface CIMOMHandle
  Parameters:
    `name` - the CIMObjectPath that identifies the CIM class
    `localOnly` - if true, only the non-inherited properties and methods are returned, otherwise all properties and methods are returned.
  Returns:
    CIMClass the CIM class identified by the CIMObjectPath
  Throws:
    CIMException - Throws a CIM exception if the namespace or the model path identifying the object cannot be found
  See Also:
    `enumerateClasses(com.sun.wbem.cim.CIMObjectPath, boolean, boolean, boolean, boolean)`, `enumerateClassNames(com.sun.wbem.cim.CIMObjectPath, boolean)`

### getInstance

    public CIMInstance getInstance(CIMObjectPath name,
                                   boolean localOnly)
                            throws CIMException

  Deprecated.

  Gets the CIM instance for the specified CIM object path.
  Specified by:
    getInstance in interface CIMOMHandle
  Parameters:
    `name` - CIM Object Path that identifies this CIM instance
    `localOnly` - if true, only the non-inherited properties are returned, otherwise all properties are returned.
  Returns:
    CIMInstance the CIM instance identified by the CIM object path
  Throws:
    CIMException - Throws a CIM exception if the specified CIMObjectPath cannot be found
  See Also:
    `enumerateInstances(com.sun.wbem.cim.CIMObjectPath, boolean, boolean, boolean, boolean, java.lang.String[])`, `enumerateInstanceNames(com.sun.wbem.cim.CIMObjectPath)`

### invokeMethod

    public CIMValue invokeMethod(CIMObjectPath name,
                                 java.lang.String methodName,
                                 java.util.Vector inParams,
                                 java.util.Vector outParams)
                          throws CIMException

  Executes the specified method on the specified object. A method is a declaration containing the method name, return type, and parameters in the method.
  Specified by:
    invokeMethod in interface CIMOMHandle
  Parameters:
    `name` - CIM object path that identifies the method
    `methodName` - the string name of the method to be invoked
    `inParams` - the input parameters specified as a vector of CIMValue.
    `outParams` - The output parameters, the CIMValue of these parameters will be appended to the outParams vector.
  Returns:
    CIMValue The return value of the method. If the method returns nothing, the return value will be null.
  Throws:
    CIMException - Throws a CIM exception if the specified method cannot be found

### getQualifierType

    public CIMQualifierType getQualifierType(CIMObjectPath name)
                                      throws CIMException

  Gets the CIM qualifier type specified in the CIM object path.
  Specified by:
    getQualifierType in interface CIMOMHandle
  Parameters:
    `name` - CIM object path that identifies the CIM qualifier type
  Returns:
    CIMQualifierType the CIM qualifier type
  Throws:
    CIMException - Throws a CIM exception if the CIM qualifier type cannot be found

### createQualifierType

    public void createQualifierType(CIMObjectPath name,
                                    CIMQualifierType qt)
                             throws CIMException

  Adds the specified CIM qualifier type to the specified namespace.
  Specified by:
    createQualifierType in interface CIMOMHandle
  Parameters:
    `name` - CIM object path that identifies the CIM qualifier type
    `qt` - the CIM qualifier type to be added
  Throws:
    CIMException - Throws a CIM exception if the specified qualifier type already exists in the namespace.

### setQualifierType

    public void setQualifierType(CIMObjectPath name,
                                 CIMQualifierType qt)
                          throws CIMException

  Adds the specified CIM qualifier type to the specified namespace.
  Specified by:
    setQualifierType in interface CIMOMHandle
  Parameters:
    `name` - CIM object path that identifies the CIM qualifier type
    `qt` - the CIM qualifier type to be added
  Throws:
    CIMException - Throws a CIM Exception if the namespace does not exist or if the CIM qualifier already exists

### createClass

    public void createClass(CIMObjectPath name,
                            CIMClass cc)
                     throws CIMException

  Adds the CIM class to the specified namespace.
  Specified by:
    createClass in interface CIMOMHandle
  Parameters:
    `name` - CIM object path that identifies the CIM class to be added
    `cc` - CIMClass to be added
  Throws:
    CIMException - Throws a CIM exception if the CIM class already exists in the namespace

### setClass

    public void setClass(CIMObjectPath name,
                         CIMClass cc)
                  throws CIMException

  Modifies the CIM class in the specified namespace.
  Specified by:
    setClass in interface CIMOMHandle
  Parameters:
    `name` - CIM object path that identifies the CIM class to be modified
    `cc` - CIMClass to be modified
  Throws:
    CIMException - Throws a CIMException error if the class already exists in the namespace.

### createInstance

    public CIMObjectPath createInstance(CIMObjectPath name,
                                        CIMInstance ci)
                                 throws CIMException

  Invokes the object manager on this client to add the specified CIM instance to the specified namespace.
  Specified by:
    createInstance in interface CIMOMHandle
  Parameters:
    `name` - CIM object path that identifies the CIM instance to be added
    `ci` - CIM instance to be added
  Returns:
    CIMObjectPath of the created instance.
  Throws:
    CIMException - Throws a CIM exception if the CIM instance already exists in the namespace

### setInstance

    public void setInstance(CIMObjectPath name,
                            CIMInstance ci)
                     throws CIMException

  Invokes the object manager on this client to modify the specified CIM instance in the specified namespace.
  Specified by:
    setInstance in interface CIMOMHandle
  Parameters:
    `name` - CIM object path that identifies the CIM instance to be modified
    `ci` - CIM instance to be modified
  Throws:
    CIMException - Throws a CIMException error if the instance cannot be found.

    Example:

    The following code sample gets instances for each element in a vector, updates the property value of b to 10 in each instance, and passes the updated instance to the CIM Object Manager.

        For (int i=0; i(v.size(); i++) {
         		CIMInstance ci = cc.getInstance(v.elementAt(i));
        		ci.setProperty("b",new CIMValue(10));
                  // sets the instance in the current namespace.
         		cc.setInstance(new CIMObjectPath(),ci);
        		}

### getProperty

    public CIMValue getProperty(CIMObjectPath name,
                                java.lang.String propertyName)
                         throws CIMException

  Invokes the object manager on this client to get the specified CIM instance property.
  Specified by:
    getProperty in interface CIMOMHandle
  Parameters:
    `name` - CIM object path that identifies the CIM instance to be accessed
    `propertyName` - Property whose value is required.
  Returns:
    CIMValue The value for property propertyName.
  Throws:
    CIMException - Throws a CIM exception if the property cannot be found.

### setProperty

    public void setProperty(CIMObjectPath name,
                            java.lang.String propertyName,
                            CIMValue newValue)
                     throws CIMException

  Invokes the object manager on this client to set the specified CIM instance property value.
  Specified by:
    setProperty in interface CIMOMHandle
  Parameters:
    `name` - CIM object path that identifies the CIM instance to be accessed
    `propertyName` - Property whose value is to be set.
    `newValue` - The value for property propertyName.
  Throws:
    CIMException - Throws a CIM exception if the property cannot be found.

### encryptData

    public java.lang.String encryptData(java.lang.String clearData)
                                 throws CIMException

  This method encrypts a limited sized string value using the current authentication exchange session key. It returns the encrypted value as a string of hexadecimal characters enclosed in brackets <>. The enclosing brackets can be used to determine that such a string value has been encrypted. The size of the string to be encrypted must be less than or equal to 16 characters. It is assumed the string is unlocalized; that is, only ASCII characters will be encrypted correctly. It the string value is too long, or there is no authentication exchange session key, a CIMException is thrown.
  Specified by:
    encryptData in interface CIMOMHandle
  Parameters:
    `clearData` - The string to be encrypted
  Returns:
    The bracketed encrypted string in hexadecimal form
  Throws:
    CIMException -

### execQuery

    public java.util.Enumeration execQuery(CIMObjectPath name,
                                           java.lang.String query,
                                           int ql)
                                    throws CIMException

  Executes a query to retrieve objects. The WBEM Query Language is a subset of standard American National Standards Institute Structured Query Language (ANSI SQL) with semantic changes to support WBEM on Solaris. Unlike SQL, in this release, it is a retrieval-only language. You cannot use the WBEM Query Language to modify, insert, or delete information.

  Only queries on class instances are supported.

  Specified by:
    execQuery in interface CIMOMHandle
  Parameters:
    `name` - CIMObjectPath that identifies the class in which to query.
    `query` - A string containing the text of the query. This parameter cannot be null.
    `ql` - Integer that identifies the query language to use for parsing the query string. WQL level 1 is the only currently supported query language.
  Returns:
    Enumeration A deep enumeration of all instances of the specified class and all classes derived from the specified class, that match the query string.
  Throws:
    CIMException - Throws a CIM Exception if any of the following errors occur:
    - The user does not have permission to view the result.
    - The requested query language is not supported.
    - The query specifies a class that does not exist.

    Example:

    The following API call returns an enumeration of all instances of the `device_class`.

    `cc.execQuery(new CIMObjectPath(), SELECT * FROM device_class, cc.WQL)`

### associators

    public java.util.Enumeration associators(CIMObjectPath objectName,
                                             java.lang.String assocClass,
                                             java.lang.String resultClass,
                                             java.lang.String role,
                                             java.lang.String resultRole,
                                             boolean includeQualifiers,
                                             boolean includeClassOrigin,
                                             java.lang.String[] propertyList)
                                      throws CIMException

  This operation is used to enumerate CIM Objects (Classes or Instances) that are associated to a particular source CIM Object.
  Specified by:
    associators in interface CIMOMHandle
  Parameters:
    `objectName` - - Defines the source CIM Object whose associated Objects are to be returned. This may be either a Class name or Instance name (modelpath).
    `assocClass` - The AssocClass input parameter, if not NULL, MUST be a valid CIM Association Class name. It acts as a filter on the returned set of Objects by mandating that each returned Object MUST be associated to the source Object via an Instance of this Class or one of its subclasses.
    `resultClass` - The ResultClass input parameter, if not NULL, MUST be a valid CIM Class name. It acts as a filter on the returned set of Objects by mandating that each returned Object MUST be either an Instance of this Class (or one of its subclasses) or be this Class (or one of its subclasses).
    `role` - The Role input parameter, if not NULL, MUST be a valid Property name. It acts as a filter on the returned set of Objects by mandating that each returned Object MUST be associated to the source Object via an Association in which the source Object plays the specified role (i.e. the name of the Property in the Association Class that refers to the source Object MUST match the value of this parameter).
    `resultRole` - The ResultRole input parameter, if not NULL, MUST be a valid Property name. It acts as a filter on the returned set of Objects by mandating that each returned Object MUST be associated to the source Object via an Association in which the returned Object plays the specified role (i.e. the name of the Property in the Association Class that refers to the returned Object MUST match the value of this parameter).
    `includeQualifiers` - If the IncludeQualifiers input parameter is true this specifies that all Qualifiers for each Object (including Qualifiers on the Object and on any returned Properties) MUST be included as elements in the response. If false no elements are present in each returned Object.
    `includeClassOrigin` - If the IncludeClassOrigin input parameter is true, this specifies that the CLASSORIGIN attribute MUST be present on all appropriate elements in each returned Object. If false, no CLASSORIGIN attributes are present in each returned Object.
    `propertyList` - If the PropertyList input parameter is not NULL, the members of the array define one or more Property names. Each returned Object MUST NOT include elements for any Properties missing from this list. Note that if LocalOnly is specified as true (or DeepInheritance is specified as false) this acts as an additional filter on the set of Properties returned (for example, if Property A is included in the PropertyList but LocalOnly is set to true and A is not local to a returned Instance, then it will not be included in that Instance). If the PropertyList input parameter is an empty array this signifies that no Properties are included in each returned Object. If the PropertyList input parameter is NULL this specifies that all Properties (subject to the conditions expressed by the other parameters) are included in each returned Object. If the PropertyList contains duplicate elements, the Server ignores the duplicates but otherwise process the request normally. If the PropertyList contains elements which are invalid Property names for any target Object, the Server ignores such entries but otherwise process the request normally. Clients SHOULD NOT explicitly specify properties in the PropertyList parameter unless they have specified a non-NULL value for the ResultClass parameter.
  Returns:
    If successful, the method returns zero or more CIM Classes or Instances meeting the requested criteria.
  Throws:
    CIMException. - The following IDs can be expected. CIM_ERR_ACCESS_DENIED CIM_ERR_NOT_SUPPORTED CIM_ERR_INVALID_NAMESPACE CIM_ERR_INVALID_PARAMETER (including missing, duplicate, unrecognized or otherwise incorrect parameters) CIM_ERR_FAILED (some other unspecified error occurred)

### associatorNames

    public java.util.Enumeration associatorNames(CIMObjectPath objectName,
                                                 java.lang.String assocClass,
                                                 java.lang.String resultClass,
                                                 java.lang.String role,
                                                 java.lang.String resultRole)
                                          throws CIMException

  This operation is used to enumerate the names of CIM Objects (Classes or Instances) that are associated to a particular source CIM Object.
  Specified by:
    associatorNames in interface CIMOMHandle
  Parameters:
    `objectName` - - Defines the source CIM Object whose associated Objects are to be returned. This may be either a Class name or Instance name (modelpath).
    `assocClass` - The AssocClass input parameter, if not NULL, MUST be a valid CIM Association Class name. It acts as a filter on the returned set of Objects by mandating that each returned Object MUST be associated to the source Object via an Instance of this Class or one of its subclasses.
    `resultClass` - The ResultClass input parameter, if not NULL, MUST be a valid CIM Class name. It acts as a filter on the returned set of Objects by mandating that each returned Object MUST be either an Instance of this Class (or one of its subclasses) or be this Class (or one of its subclasses).
    `role` - The Role input parameter, if not NULL, MUST be a valid Property name. It acts as a filter on the returned set of Objects by mandating that each returned Object MUST be associated to the source Object via an Association in which the source Object plays the specified role (i.e. the name of the Property in the Association Class that refers to the source Object MUST match the value of this parameter).
    `resultRole` - The ResultRole input parameter, if not NULL, MUST be a valid Property name. It acts as a filter on the returned set of Objects by mandating that each returned Object MUST be associated to the source Object via an Association in which the returned Object plays the specified role (i.e. the name of the Property in the Association Class that refers to the returned Object MUST match the value of this parameter).
  Returns:
    If successful, the method returns zero or more full CIM Class paths or Instance paths of Objects meeting the requested criteria.
  Throws:
    CIMException - as defined in the associator method

### references

    public java.util.Enumeration references(CIMObjectPath objectName,
                                            java.lang.String resultClass,
                                            java.lang.String role,
                                            boolean includeQualifiers,
                                            boolean includeClassOrigin,
                                            java.lang.String[] propertyList)
                                     throws CIMException

  This operation is used to enumerate the association objects that refer to a particular target CIM Object (Class or Instance).
  Specified by:
    references in interface CIMOMHandle
  Parameters:
    `objectName` - The ObjectName input parameter defines the target CIM Object whose referring Objects are to be returned. This is either a Class name or Instance name (model path).
    `ResultClass` - The ResultClass input parameter, if not NULL, MUST be a valid CIM Class name. It acts as a filter on the returned set of Objects by mandating that each returned Object MUST be an Instance of this Class (or one of its subclasses), or this Class (or one of its subclasses).
    `role` - The Role input parameter, if not NULL, MUST be a valid Property name. It acts as a filter on the returned set of Objects by mandating that each returned Objects MUST refer to the target Object via a Property whose name matches the value of this parameter.
    `includeQualifiers` - If the IncludeQualifiers input parameter is true this specifies that all Qualifiers for each Object (including Qualifiers on the Object and on any returned Properties) MUST be included as elements in the response. If false no elements are present in each returned Object.
    `includeClassOrigin` - If the IncludeClassOrigin input parameter is true, this specifies that the CLASSORIGIN attribute MUST be present on all appropriate elements in each returned Object. If false, no CLASSORIGIN attributes are present in each returned Object.
    `propertyList` - If the PropertyList input parameter is not NULL, the members of the array define one or more Property names. Each returned Object MUST NOT include elements for any Properties missing from this list. Note that if LocalOnly is specified as true (or DeepInheritance is specified as false) this acts as an additional filter on the set of Properties returned (for example, if Property A is included in the PropertyList but LocalOnly is set to true and A is not local to a returned Instance, then it will not be included in that Instance). If the PropertyList input parameter is an empty array this signifies that no Properties are included in each returned Object. If the PropertyList input parameter is NULL this specifies that all Properties (subject to the conditions expressed by the other parameters) are included in each returned Object. If the PropertyList contains duplicate elements, the Server ignores the duplicates but otherwise process the request normally. If the PropertyList contains elements which are invalid Property names for any target Object, the Server ignores such entries but otherwise process the request normally. Clients SHOULD NOT explicitly specify properties in the PropertyList parameter unless they have specified a non-NULL value for the ResultClass parameter.
  Returns:
    If successful, the method returns zero or more CIM Classes or Instances meeting the requested criteria.
  Throws:
    CIMException - as defined for associators method.

### referenceNames

    public java.util.Enumeration referenceNames(CIMObjectPath objectName,
                                                java.lang.String resultClass,
                                                java.lang.String role)
                                         throws CIMException

  This operation is used to enumerate the association objects that refer to a particular target CIM Object (Class or Instance).
  Specified by:
    referenceNames in interface CIMOMHandle
  Parameters:
    `objectName` - The ObjectName input parameter defines the target CIM Object whose referring Objects are to be returned. This is either a Class name or Instance name (model path).
    `ResultClass` - The ResultClass input parameter, if not NULL, MUST be a valid CIM Class name. It acts as a filter on the returned set of Objects by mandating that each returned Object MUST be an Instance of this Class (or one of its subclasses), or this Class (or one of its subclasses).
    `role` - The Role input parameter, if not NULL, MUST be a valid Property name. It acts as a filter on the returned set of Objects by mandating that each returned Objects MUST refer to the target Object via a Property whose name matches the value of this parameter.
  Returns:
    If successful, the method returns the names of zero or more full CIM Class paths or Instance paths of Objects meeting the requested criteria.
  Throws:
    CIMException - as defined for associators method.

### addCIMListener

    public void addCIMListener(CIMListener l)
                        throws CIMException

  Description copied from interface: CIMOMHandle
  Adds the specified listener which receives indications from the CIM Object Manager.
  Specified by:
    addCIMListener in interface CIMOMHandle
  Tags copied from interface: CIMOMHandle
  Parameters:
    `l` - The listener to add. No exception is thrown if l is null. CIMException.CIM_ERR_NOT_SUPPORTED is thrown if the remote CIMOM does not support events. Any duplicate listeners are ignored.

### removeCIMListener

    public void removeCIMListener(CIMListener l)
                           throws CIMException

  Description copied from interface: CIMOMHandle
  Removes the specified listener
  Specified by:
    removeCIMListener in interface CIMOMHandle
  Tags copied from interface: CIMOMHandle
  Parameters:
    `l` - The listener to remove. No exception is thrown if l is null or the listener does not exist.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD